Ginkgo: gko::BadDimension Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::BadDimension Class Reference

BadDimension is thrown if an operation is being applied to a LinOp with bad dimensions. More...

`#include <ginkgo/core/base/exception.hpp>`

Inheritance diagram for gko::BadDimension:
[legend]
Collaboration diagram for gko::BadDimension:
[legend]

## Public Member Functions
| BadDimension (const std::string &file, int line, const std::string &func, const std::string &op_name, size_type op_num_rows, size_type op_num_cols, const std::string &clarification)
| Initializes a bad dimension error.
Public Member Functions inherited from gko::Error
| Error (const std::string &file, int line, const std::string &what)
| Initializes an error.
virtual const char * | what () const noexcept override
| Returns a human-readable string with a more detailed description of the error.

## Detailed Description

BadDimension is thrown if an operation is being applied to a LinOp with bad dimensions.

## Constructor & Destructor Documentation

## ◆ BadDimension()

gko::BadDimension::BadDimension | ( | const std::string & | file,
|  | int | line,
|  | const std::string & | func,
|  | const std::string & | op_name,
|  | size_type | op_num_rows,
|  | size_type | op_num_cols,
|  | const std::string & | clarification )
| inline

Initializes a bad dimension error.

Parameters

  file | The name of the offending source file
  line | The source code line number where the error occurred
  func | The function name where the error occurred
  op_name | The name of the operator
  op_num_rows | The row dimension of the operator
  op_num_cols | The column dimension of the operator
  clarification | An additional message further describing the error

References gko::Error::Error().

The documentation for this class was generated from the following file:

- ginkgo/core/base/exception.hpp